#include "gen.h"

void gen( int argc, char *argv[] )
{
  assert(argc == 1);
  int nn = atoi(argv[0]);
  int maxw = 1000000000;
  int w = maxw / (2 * nn);
  int t1 = 0, t2 = 0;
  for (int i = 0; i < nn; i++)
  {
    while (t1 * t1 <= (i + 1) * w)
      t1++;
    while (t2 * t2 <= 2 * (i + 1) * w)
      t2++;
    s[n] = t1, t[n++] = t2 - t1;
  }
}
